import { Controller, Get, UseGuards } from '@nestjs/common';
import { MonsterService } from './monster.service';
import { AuthGuard } from '../auth/guards/auth.guard';

@Controller('monsters')
@UseGuards(AuthGuard)
export class MonsterController {
  constructor(private readonly monsterService: MonsterService) {}

  @Get()
  findAll() {
    return this.monsterService.findAll();
  }
}
